## wfuzz 2.1.3

=== debian/changelog ===
wfuzz (2.1.3-1) unstable; urgency=low

  * Initial release (Closes: #831419). 

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 29 Jul 2016 21:14:24 +0200

## wfuzz 2.2.9

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = Wfuzz
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## wfuzz 2.1.4

=== debian/changelog ===
wfuzz (2.1.4-1) unstable; urgency=medium

  * New upstream release.
  * Add gbp.conf file (thanks Gianfranco)
  * Update manpage to match new upstream release.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 18 Dec 2016 13:31:56 +0200

=== debian/control ===
Source: wfuzz
Section: utils
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 9), python
Standards-Version: 3.9.8
Homepage: http://www.edge-security.com/wfuzz.php
Vcs-Git: https://anonscm.debian.org/git/pkg-security/wfuzz.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wfuzz.git/

Package: wfuzz
Architecture: all
Depends: ${misc:Depends}, python, python-pycurl
Description: Web application bruteforcer
 Wfuzz is a tool designed for bruteforcing Web Applications,
 it can be used for finding resources not linked 
 directories, servlets, scripts, etc, bruteforce GET and 
 POST parameters for checking different kind of injections 
 (SQL, XSS, LDAP,etc), bruteforce Forms parameters 
 (User/Password), Fuzzing, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	# Remove useless x permission on dictionary files.
	chmod a-x debian/wfuzz/usr/share/wfuzz/wordlist/Injections/* 
	chmod a-x debian/wfuzz/usr/share/wfuzz/wordlist/general/megabeast.txt 

override_dh_auto_clean:
	# Nothing to clean: Installation is performed by copying files 
	# specified in debian/wfuzz.install. If clean is performed,
	# a non-patched 'setup.py clean' is called which results in an
	# import error.

## wfuzz 2.1.5

=== debian/changelog ===
wfuzz (2.1.5-1) unstable; urgency=medium

  [ Robert Haist ]
  * New upstream version 2.1.5
  * Update debian standards version and remove trailing whitespace
  * Update manpage to match new upstream release.

  [ Lukas Schwaighofer ]
  * Update to debhelper compatibility level 10
  * enable dh_python2 to perform python byte compilation on installation
  * fix spelling mistake in manpage
  * drop debian/dirs, dh_install creates the required directories without help
  * rename debian/manpages to debian/wfuzz.manpages for consistency
  * insert the /usr/share/wfuzz python search path at the beginning of the
    search list (not at the end)
  * install wfuzz.py as /usr/bin/wfuzz (drop helper script to launch it)

 -- Robert Haist <rhaist@mailbox.org>  Sun, 25 Jun 2017 17:21:41 +0200

=== debian/control ===
Source: wfuzz
Section: utils
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org> 
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 10), python
Standards-Version: 4.0.0
Homepage: http://www.edge-security.com/wfuzz.php
Vcs-Git: https://anonscm.debian.org/git/pkg-security/wfuzz.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wfuzz.git/

Package: wfuzz
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pycurl
Description: Web application bruteforcer
 Wfuzz is a tool designed for bruteforcing Web Applications,
 it can be used for finding resources not linked
 directories, servlets, scripts, etc, bruteforce GET and
 POST parameters for checking different kind of injections
 (SQL, XSS, LDAP,etc), bruteforce Forms parameters
 (User/Password), Fuzzing, etc.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,11 @@
 # -*- makefile -*-
 
 %:
-	dh $@
+	dh $@ --with python2
+
+override_dh_install:
+	dh_install
+	mv debian/wfuzz/usr/bin/wfuzz.py debian/wfuzz/usr/bin/wfuzz
 
 override_dh_fixperms:
 	dh_fixperms

## wfuzz 2.2.3

=== debian/changelog ===
wfuzz (2.2.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 4.1.1.
    - New Build-Dependencies python-setuptools and dh-python.
    - Add missing dependency python-pyparsing.
  * debian/rules:
    - Port to pybuild (modify debian/wfuzz.install accordingly).
  * Update copyright years.
  * Refresh patches for new upstream release.
  * Update manpage to match new upstream release.
  * Remove useless debian/docs.
  * Run wrap-and-sort -a.

 -- Hugo Lefeuvre <hle@debian.org>  Sat, 07 Oct 2017 10:25:41 +0200

=== debian/control ===
Source: wfuzz
Section: utils
Priority: extra
Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>= 10),
               dh-python,
               python,
               python-setuptools
Standards-Version: 4.1.1
Homepage: http://www.edge-security.com/wfuzz.php
Vcs-Git: https://anonscm.debian.org/git/pkg-security/wfuzz.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wfuzz.git/

Package: wfuzz
Architecture: all
Depends: python-pycurl,
         python-pyparsing,
         ${misc:Depends},
         ${python:Depends}
Description: Web application bruteforcer
 Wfuzz is a tool designed for bruteforcing Web Applications,
 it can be used for finding resources not linked
 directories, servlets, scripts, etc, bruteforce GET and
 POST parameters for checking different kind of injections
 (SQL, XSS, LDAP,etc), bruteforce Forms parameters
 (User/Password), Fuzzing, etc.

## wfuzz 2.2.9

=== debian/changelog ===
wfuzz (2.2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.2.9
  * Update debian/copyright
  * Refresh patches
  * Bump Standards-Version to 4.1.3 (change Priority to optional)
  * Update debian/control with new Vcs*
  * Update manpage

 -- Sophie Brun <sophie@freexian.com>  Wed, 21 Feb 2018 15:11:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: wfuzz
 Section: utils
-Priority: extra
+Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-setuptools
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://www.edge-security.com/wfuzz.php
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/wfuzz.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-security/wfuzz.git/
+Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/wfuzz
 
 Package: wfuzz
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = wfuzz
export PYBUILD_DESTDIR_python=debian/wfuzz

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	# Do not install wfencode, wfpayload and wxfuzz. They are buggy and
	# their features are already provided by wfuzz
	rm $(PYBUILD_DESTDIR_python)/usr/bin/wfencode
	rm $(PYBUILD_DESTDIR_python)/usr/bin/wfpayload
	rm $(PYBUILD_DESTDIR_python)/usr/bin/wxfuzz

override_dh_fixperms:
	dh_fixperms
	# Remove useless x permission on dictionary files.
	chmod a-x debian/wfuzz/usr/share/wfuzz/wordlist/Injections/*
	chmod a-x debian/wfuzz/usr/share/wfuzz/wordlist/general/megabeast.txt

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d.*)\.tar\.gz/wfuzz-$1.tar.gz/" \
https://github.com/xmendez/wfuzz/tags .*/v?(\d.*)\.tar\.gz

## wfuzz 2.2.11

=== debian/changelog ===
wfuzz (2.2.11-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 2.2.11
  * Update manpage

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security
    Tools <team+pkg-security@tracker.debian.org>
  * Update Standards-Version to 4.1.4.

 -- Sophie Brun <sophie@freexian.com>  Tue, 05 Jun 2018 15:41:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: wfuzz
 Section: utils
 Priority: optional
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
 Build-Depends: debhelper (>= 10),
                dh-python,
                python,
                python-setuptools
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: http://www.edge-security.com/wfuzz.php
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wfuzz

## wfuzz 2.3

=== Makefile ===
.PHONY: docs
test:
	pip install tox
	tox --recreate
flake8:
	pip install flake8
	flake8 --ignore=E501,E402,F401 src tests
publish:
	pip install 'twine>=1.5.0'
	python setup.py sdist
	twine upload dist/*
	rm -fr build dist

publish-dev:
	pip install 'twine>=1.5.0'
	python setup.py sdist
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	rm -fr build dist
docs:
	pip install Sphinx
	cd docs && make html

coverage:
	coverage report --skip-covered --include "*python3.5/site-packages/wfuzz*" -m

=== debian/changelog ===
wfuzz (2.3-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Team upload.
  * New upstream version 2.3
  * Refresh patches
  * Bump Standards-Version to 4.2.1 (no change required)

  [ Raphaël Hertzog ]
  * Switch to debhelper compat level 11

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 08 Nov 2018 14:39:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python,
                python-setuptools
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://www.edge-security.com/wfuzz.php
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wfuzz

## wfuzz 2.3.1

=== debian/changelog ===
wfuzz (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.1

 -- Sophie Brun <sophie@freexian.com>  Fri, 16 Nov 2018 09:13:52 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,13 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python,
-               python-setuptools
+               python-setuptools,
+               python-chardet,
+               python-configparser,
+               python-future,
+               python-pycurl,
+               python-pyparsing,
+               python-six,
 Standards-Version: 4.2.1
 Homepage: http://www.edge-security.com/wfuzz.php
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git

## wfuzz 2.3.3

=== Makefile ===
--- 
+++ 
@@ -22,3 +22,10 @@
 
 coverage:
 	coverage report --skip-covered --include "*python3.5/site-packages/wfuzz*" -m
+
+install:
+	pip install -r requirements.txt
+
+freeze:
+	pip-compile --output-file requirements.txt setup.py
+

=== debian/changelog ===
wfuzz (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.3
  * Bump Standards-Version to 4.3.0 (no change)

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 10 Jan 2019 11:31:10 +0100

wfuzz (2.3.1-2) unstable; urgency=medium

  * Team upload.
  * Switch to Python 3

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 13 Dec 2018 09:19:16 +0100

## wfuzz 2.3.4

=== debian/changelog ===
wfuzz (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.3.4

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 25 Jan 2019 14:01:21 +0100

=== debian/control ===
Source: wfuzz
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 11),
               dh-python,
               python3,
               python3-setuptools,
               python3-chardet,
               python3-future,
               python3-pycurl,
               python3-pyparsing,
               python3-six,
Standards-Version: 4.3.0
Homepage: http://www.edge-security.com/wfuzz.php
Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/wfuzz

Package: wfuzz
Architecture: all
Depends: python3-pycurl,
         python3-pyparsing,
         ${misc:Depends},
         ${python3:Depends}
Description: Web application bruteforcer
 Wfuzz is a tool designed for bruteforcing Web Applications,
 it can be used for finding resources not linked
 directories, servlets, scripts, etc, bruteforce GET and
 POST parameters for checking different kind of injections
 (SQL, XSS, LDAP,etc), bruteforce Forms parameters
 (User/Password), Fuzzing, etc.

## wfuzz 2.4

=== debian/changelog ===
wfuzz (2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4
  * Refresh patch switch-to-python3
  * Install correctly documentation

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 03 May 2019 11:43:02 +0200

## wfuzz 2.4.5

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	tox --recreate
 flake8:
 	pip install flake8
-	flake8 --ignore=E501,E402,F401 src tests
+	flake8 --ignore=E501,E402,F401,W504 src tests
 publish:
 	pip install 'twine>=1.5.0'
 	python setup.py sdist

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file requirements.txt setup.py
#
chardet==3.0.4
configparser==3.5.0
future==0.17.1
pycurl==7.43.0.2
pyparsing==2.3.0
six==1.11.0

=== debian/changelog ===
wfuzz (2.4.5-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Sophie Brun ]
  * New upstream version 2.4.5
  * Add restrictions on python3-pycurl (temporary fix for
    https://github.com/xmendez/wfuzz/issues/180)
  * Refresh debian/patches

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 06 Feb 2020 11:34:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper-compat (= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3,
                python3-setuptools,
@@ -12,14 +12,14 @@
                python3-pycurl,
                python3-pyparsing,
                python3-six,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: http://www.edge-security.com/wfuzz.php
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wfuzz
 
 Package: wfuzz
 Architecture: all
-Depends: python3-pycurl,
+Depends: python3-pycurl (<= 7.43.0.3),
          python3-pyparsing,
          ${misc:Depends},
          ${python3:Depends}

## wfuzz 3.0.1

=== debian/changelog ===
wfuzz (3.0.1-1) unstable; urgency=medium

  * Team upload

  [ Samuel Henrique ]
  * New upstream version 3.0.1 (closes: #969970)
  * Bump DH to 13
  * d/control:
    - Add Rules-Requires-Root: no
    - Remove pycurl strict version requirement
  * d/patches: Update and refresh patches
  * Configure git-buildpackage for Debian

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Samuel Henrique <samueloph@debian.org>  Fri, 11 Sep 2020 18:37:01 +0100

## wfuzz 3.1.0

=== Makefile ===
.PHONY: docs
tox:
	pip install tox
	tox --recreate
test:
	pytest -v -s tests/
flake8:
	black --check src tests
	flake8 src tests
publish:
	pip install 'twine>=1.5.0'
	python setup.py sdist
	twine upload dist/*
	rm -fr build dist

publish-dev:
	pip install 'twine>=1.5.0'
	python setup.py sdist
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	rm -fr build dist
docs:
	pip install -e ".[docs]"
	cd docs && make html

coverage:
	coverage report --skip-covered --include "*python3.8/site-packages/wfuzz*" -m

install: install-dev
	pip install -r requirements.txt

install-dev:
	pip install -e ".[dev]"

freeze:
	pip-compile --output-file requirements.txt setup.py
help:
	@echo "make help              Show this help message"
	@echo "make test              Run local tests with tox"
	@echo "make flake8            Run the code linter(s) and print any warnings"
	@echo "make publish           Publish pip lib to pypi"
	@echo "make publish-dev       Publish pip lib to pypi test"
	@echo "make docs              Create html docs"
	@echo "make install           Install requirements"
	@echo "make install-dev       Install dev requirements"

=== requirements.txt ===
#
# This file is autogenerated by pip-compile
# To update, run:
#
#    pip-compile --output-file=requirements.txt setup.py
#
attrs==20.1.0             # via pytest
chardet==3.0.4            # via wfuzz (setup.py)
iniconfig==1.0.1          # via pytest
more-itertools==8.5.0     # via pytest
packaging==20.4           # via pytest
pluggy==0.13.1            # via pytest
py==1.9.0                 # via pytest
pycurl==7.43.0.6          # via wfuzz (setup.py)
pyparsing==2.4.7          # via packaging
pytest==6.0.1             # via wfuzz (setup.py)
six==1.15.0               # via packaging, wfuzz (setup.py)
toml==0.10.1              # via pytest

=== debian/changelog ===
wfuzz (3.1.0-6) unstable; urgency=medium

  * Team upload.
  * Patch-out little usage of 'six'

 -- Alexandre Detiste <tchet@debian.org>  Sat, 15 Feb 2025 12:18:45 +0100

wfuzz (3.1.0-5) unstable; urgency=medium

  * Team upload
  * Removal of Python standard libraries in Python 3.13 (Closes: #1084727)
    * Add dependency on python3-legacy-cgi
    * Patch-out usage of 'pipes'

 -- Alexandre Detiste <tchet@debian.org>  Sat, 16 Nov 2024 15:41:57 +0100

wfuzz (3.1.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch to remove use of distutils and imp (Closes: #1067598, #1066009).
    - Remove python3-distutils from build dependency.
    - Thanks ginggs for patch.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 15 Jul 2024 22:40:19 -0300

wfuzz (3.1.0-4) unstable; urgency=medium

  * Team upload
  * Build-Depends -= python3-future (Closes: #1060116)
  * Uploaders = Debian Security Tools (Closes: #1050263)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 22 Jan 2024 09:55:39 +0700

wfuzz (3.1.0-3) unstable; urgency=medium

  * Team upload.

  [ Joao Eriberto Mota Filho ]
  * debian/clean: created to allow the source code to build twice.

  [ Peter Wienemann ]
  * Add patch from upstream PR 347 to fix pyparsing dependency.
    (Closes: #1042315)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 18 Aug 2023 13:33:35 -0300

wfuzz (3.1.0-2) unstable; urgency=medium

  * Team upload
  * Add missing dep python3-distutils (Closes: #1015016)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Jul 2022 14:34:13 +0200

wfuzz (3.1.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 3.1.0
  * Refresh patches
  * Update debian/watch to standard 4

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 16 Nov 2020 15:56:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,25 +2,26 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Uploaders: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3,
+               python3-legacy-cgi,
                python3-setuptools,
                python3-chardet,
-               python3-future,
                python3-pycurl,
                python3-pyparsing,
-               python3-six,
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: http://www.edge-security.com/wfuzz.php
 Vcs-Git: https://salsa.debian.org/pkg-security-team/wfuzz.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/wfuzz
 
 Package: wfuzz
 Architecture: all
-Depends: python3-pycurl (<= 7.43.0.3),
+Depends: python3-pycurl,
          python3-pyparsing,
+         python3-legacy-cgi,
          ${misc:Depends},
          ${python3:Depends}
 Description: Web application bruteforcer

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export PYBUILD_NAME = wfuzz

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_install:
	# Do not install wfencode, wfpayload and wxfuzz. They are buggy and
	# their features are already provided by wfuzz
	rm debian/wfuzz/usr/bin/wfencode
	rm debian/wfuzz/usr/bin/wfpayload
	rm debian/wfuzz/usr/bin/wxfuzz

execute_after_dh_fixperms:
	# Remove useless x permission on dictionary files.
	chmod a-x debian/wfuzz/usr/share/wfuzz/wordlist/Injections/*
	chmod a-x debian/wfuzz/usr/share/wfuzz/wordlist/general/megabeast.txt

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d.*)\.tar\.gz/wfuzz-$1.tar.gz/" \
https://github.com/xmendez/wfuzz/tags .*/v?(\d.*)\.tar\.gz
